<template>
  <div class="avue-logo">
    <transition name="fade">
      <span v-if="keyCollapse"
            key="0">
      <img class="logimg" src="favicon.png">
      </span>
    </transition>
    <transition-group name="fade">
      <template v-if="!keyCollapse">
<span>
            <img :src=imgurl class="imgSpan">
          </span>
        <span key="1"
              class="avue-logo_title">
          <span>
            <img :src=imgurl class="imgSpan">
          </span>
          <span style="font-size: 17px;margin-left: 30px">编码资源管理系统(非密)</span>
         </span>
      </template>
    </transition-group>
  </div>
</template>

<script>
import {mapGetters} from "vuex";
import img from "./favicon.png"

export default {
  name: "logo",
  data() {
    return {
      imgurl: img
    };
  },
  created() {
  },
  computed: {
    ...mapGetters(["website", "keyCollapse"])
  },
  methods: {}
};
</script>

<style lang="scss">
.fade-leave-active {
  transition: opacity 0.2s;
}

.fade-enter-active {
  transition: opacity 2.5s;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}

.avue-logo {
  position: fixed;
  top: 0;
  left: 0;
  width: 240px;
  height: 64px;
  line-height: 64px;
  background-color: #20222a;
  font-size: 20px;
  overflow: hidden;
  box-sizing: border-box;
  box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.15);
  color: rgba(255, 255, 255, 0.8);
  z-index: 1024;

  &_title {
    display: block;
    text-align: center;
    font-weight: 300;
    font-size: 20px;
  }

  &_subtitle {
    display: block;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    color: #fff;
  }
}

.imgSpan {
  position: absolute;
  top: 18px;
  left: 8px;
}

.logimg {
  position: absolute;
  top: 20px;
  left: 12px;
}
</style>
